import { PropType } from 'vue';
export interface MarqueeProps {
    vertical: boolean;
    direction: 'normal' | 'reverse';
    duration: number;
    delay: number;
    loop: number;
    clone: boolean;
    animateOnOverflowOnly: boolean;
    gradient: boolean;
    gradientColor: any;
    gradientWidth: string;
    gradientLength: string;
    pauseOnHover: boolean;
    pauseOnClick: boolean;
    pause: boolean;
}
declare const _default: import("vue").DefineComponent<{
    vertical: {
        type: PropType<boolean>;
        default: boolean;
    };
    direction: {
        type: PropType<"normal" | "reverse">;
        default: string;
    };
    duration: {
        type: PropType<number>;
        default: number;
    };
    delay: {
        type: PropType<number>;
        default: number;
    };
    loop: {
        type: PropType<number>;
        default: number;
    };
    clone: {
        type: PropType<boolean>;
        default: boolean;
    };
    gradient: {
        type: PropType<boolean>;
        default: boolean;
    };
    gradientColor: {
        type: PropType<any>;
        default: number[];
    };
    gradientWidth: {
        type: PropType<string>;
    };
    gradientLength: {
        type: PropType<string>;
    };
    pauseOnHover: {
        type: PropType<boolean>;
        default: boolean;
    };
    pauseOnClick: {
        type: PropType<boolean>;
        default: boolean;
    };
    pause: {
        type: PropType<boolean>;
        default: boolean;
    };
    animateOnOverflowOnly: {
        type: PropType<boolean>;
        default: boolean;
    };
}, {
    ready: import("vue").Ref<boolean>;
    contentWidth: import("vue").Ref<number>;
    containerWidth: import("vue").Ref<number>;
    contentHeight: import("vue").Ref<number>;
    containerHeight: import("vue").Ref<number>;
    loopCounter: import("vue").Ref<number>;
    loopInterval: import("vue").Ref<any>;
    mouseOverMarquee: import("vue").Ref<boolean>;
    mouseDownMarquee: import("vue").Ref<boolean>;
    minWidth: import("vue").Ref<string>;
    minHeight: import("vue").Ref<string>;
    animateOnOverflowPause: import("vue").Ref<boolean>;
    marqueeContent: import("vue").Ref<any>;
    marqueeOverlayContainer: import("vue").Ref<any>;
    componentKey: import("vue").Ref<number>;
    showGradient: import("vue").ComputedRef<boolean>;
    cloneAmount: import("vue").Ref<number>;
    ForcesUpdate: () => Promise<void>;
    checkForClone: () => Promise<void>;
    setupMarquee: () => Promise<void>;
    getCurrentStyle: any;
    hoverStarted: () => void;
    hoverEnded: () => void;
    mouseDown: () => void;
    mouseUp: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("onComplete" | "onLoopComplete" | "onPause" | "onResume" | "onOverflowDetected" | "onOverflowCleared")[], "onComplete" | "onLoopComplete" | "onPause" | "onResume" | "onOverflowDetected" | "onOverflowCleared", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    vertical: {
        type: PropType<boolean>;
        default: boolean;
    };
    direction: {
        type: PropType<"normal" | "reverse">;
        default: string;
    };
    duration: {
        type: PropType<number>;
        default: number;
    };
    delay: {
        type: PropType<number>;
        default: number;
    };
    loop: {
        type: PropType<number>;
        default: number;
    };
    clone: {
        type: PropType<boolean>;
        default: boolean;
    };
    gradient: {
        type: PropType<boolean>;
        default: boolean;
    };
    gradientColor: {
        type: PropType<any>;
        default: number[];
    };
    gradientWidth: {
        type: PropType<string>;
    };
    gradientLength: {
        type: PropType<string>;
    };
    pauseOnHover: {
        type: PropType<boolean>;
        default: boolean;
    };
    pauseOnClick: {
        type: PropType<boolean>;
        default: boolean;
    };
    pause: {
        type: PropType<boolean>;
        default: boolean;
    };
    animateOnOverflowOnly: {
        type: PropType<boolean>;
        default: boolean;
    };
}>> & {
    onOnComplete?: ((...args: any[]) => any) | undefined;
    onOnLoopComplete?: ((...args: any[]) => any) | undefined;
    onOnPause?: ((...args: any[]) => any) | undefined;
    onOnResume?: ((...args: any[]) => any) | undefined;
    onOnOverflowDetected?: ((...args: any[]) => any) | undefined;
    onOnOverflowCleared?: ((...args: any[]) => any) | undefined;
}, {
    vertical: boolean;
    direction: "normal" | "reverse";
    duration: number;
    delay: number;
    loop: number;
    clone: boolean;
    gradient: boolean;
    gradientColor: any;
    pauseOnHover: boolean;
    pauseOnClick: boolean;
    pause: boolean;
    animateOnOverflowOnly: boolean;
}, {}>;
export default _default;
